com.massivecraft.factions.zcore.util

## Class Persist

- java.lang.Object
- - com.massivecraft.factions.zcore.util.Persist

-     public class Persist
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Persist(MPlugin p)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `getFile(java.lang.Class<?> clazz)`
    `java.io.File` | `getFile(java.lang.Object obj)`
    `java.io.File` | `getFile(java.lang.String name)`
    `java.io.File` | `getFile(java.lang.reflect.Type type)`
    `static java.lang.String` | `getName(java.lang.Class<?> clazz)`
    `static java.lang.String` | `getName(java.lang.Object o)`
    `static java.lang.String` | `getName(java.lang.reflect.Type type)`
    `<T> T` | `load(java.lang.Class<T> clazz)`
    `<T> T` | `load(java.lang.Class<T> clazz, java.io.File file)`
    `<T> T` | `load(java.lang.Class<T> clazz, java.lang.String name)`
    `<T> T` | `load(java.lang.reflect.Type typeOfT, java.io.File file)`
    `<T> T` | `load(java.lang.reflect.Type typeOfT, java.lang.String name)`
    `<T> T` | `loadOrSaveDefault(T def, java.lang.Class<T> clazz)`
    `<T> T` | `loadOrSaveDefault(T def, java.lang.Class<T> clazz, java.io.File file)`
    `<T> T` | `loadOrSaveDefault(T def, java.lang.Class<T> clazz, java.lang.String name)`
    `boolean` | `save(java.lang.Object instance)`
    `boolean` | `save(java.lang.Object instance, java.io.File file)`
    `boolean` | `save(java.lang.Object instance, java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Persist

          public Persist(MPlugin p)

  - ### Method Detail

    - #### getName

          public static java.lang.String getName(java.lang.Class<?> clazz)

    - #### getName

          public static java.lang.String getName(java.lang.Object o)

    - #### getName

          public static java.lang.String getName(java.lang.reflect.Type type)

    - #### getFile

          public java.io.File getFile(java.lang.String name)

    - #### getFile

          public java.io.File getFile(java.lang.Class<?> clazz)

    - #### getFile

          public java.io.File getFile(java.lang.Object obj)

    - #### getFile

          public java.io.File getFile(java.lang.reflect.Type type)

    - #### loadOrSaveDefault

          public <T> T loadOrSaveDefault(T def,
                                         java.lang.Class<T> clazz)

    - #### loadOrSaveDefault

          public <T> T loadOrSaveDefault(T def,
                                         java.lang.Class<T> clazz,
                                         java.lang.String name)

    - #### loadOrSaveDefault

          public <T> T loadOrSaveDefault(T def,
                                         java.lang.Class<T> clazz,
                                         java.io.File file)

    - #### save

          public boolean save(java.lang.Object instance)

    - #### save

          public boolean save(java.lang.Object instance,
                              java.lang.String name)

    - #### save

          public boolean save(java.lang.Object instance,
                              java.io.File file)

    - #### load

          public <T> T load(java.lang.Class<T> clazz)

    - #### load

          public <T> T load(java.lang.Class<T> clazz,
                            java.lang.String name)

    - #### load

          public <T> T load(java.lang.Class<T> clazz,
                            java.io.File file)

    - #### load

          public <T> T load(java.lang.reflect.Type typeOfT,
                            java.lang.String name)

    - #### load

          public <T> T load(java.lang.reflect.Type typeOfT,
                            java.io.File file)